'use client'
import React from 'react'
import { Button } from "@heroui/react";
import { Image } from "@heroui/image";
import { FaRegCheckCircle } from "react-icons/fa";
import { CgMoreO } from "react-icons/cg";
import { IoMailOutline } from "react-icons/io5";
import Footer from '@/components/Footer';
import Link from 'next/link';
import { Input, Textarea } from "@heroui/input";
import { IoSendSharp } from "react-icons/io5";
import { FiPhoneCall } from "react-icons/fi";
import { LiaFaxSolid } from "react-icons/lia";
import { MdOutlineLocationOn } from "react-icons/md";

const page = () => {
    return (
        <>
            <main className='mx-3 xl:mx-20 mt-3 xl:mt-10 mb-10 lg:mb-28'>
                {/* HERO SECTION */}
                <div
                    className="flex flex-col justify-center items-start h-[12rem] p-5 md:p-10 rounded-3xl bg-cover bg-center bg-fixed"
                    style={{
                        backgroundImage: "url('/old-hero.jpg')",
                    }}
                >
                    <p className='text-white text-sm md:text-medium font-medium'><Link className='hover:underline' href={'/'}>HOME</Link> / <Link href={'/contact'} className="text-yellow-500 hover:underline">CONTACT</Link></p>
                    <p className="text-white font-semibold text-4xl lg:text-5xl mt-3">Contact Us</p>
                </div>
                {/* HERO SECTION */}

                {/* FORM */}
                <div className='mt-6 md:mt-10 flex flex-col-reverse lg:flex-row gap-5'>
                    <div className='w-full lg:w-1/2 bg-slate-100 p-10 rounded-3xl'>
                        <p className='text-yellow-500 text-medium md:text-xl font-medium'>CONTACT US</p>
                        <p className='text-4xl md:text-5xl font-semibold mt-3 text-slate-800'>Get in touch with us</p>
                        <div className="form_inputs flex flex-row gap-3 my-5">
                            <Input className='w-1/2' label="Name" type="text" variant='underlined' />
                            <Input className='w-1/2' label="Email" type="email" variant='underlined' />
                        </div>
                        <Textarea className='w-full' label="Message" type="text" variant='underlined' />
                        <Button className='mt-10' variant='ghost' size='lg' color='warning'>Submit <IoSendSharp /></Button>
                    </div>

                    <div className='w-full lg:w-1/2 rounded-3xl grid grid-cols-2 items-center justify-center text-center'>
                        <div id="email-section">
                            <IoMailOutline className='text-yellow-500 text-5xl mx-auto mb-3' />
                            <p>Write To Us</p>
                            <a href='mailto:info@candcgroup.us' className="text-lg md:text-xl lg:text-2xl font-semibold hover:underline">info@candcgroup.us</a>
                        </div>
                        <div id="phone-section" className='mt-5'>
                            <FiPhoneCall className='text-yellow-500 text-5xl mx-auto mb-3' />
                            <p>Call Us</p>
                            <a href='tel:(214) 930-5556' className="text-lg md:text-xl lg:text-2xl font-semibold hover:underline">(214) 930-5556</a>
                        </div>
                        <div id="fax-section" className='mt-5'>
                            <LiaFaxSolid className='text-yellow-500 text-6xl mx-auto mb-3' />
                            <p>Fax</p>
                            <a href='tel:(214) 593-4463' className="text-lg md:text-xl lg:text-2xl font-semibold hover:underline">(214) 593-4463</a>
                        </div>
                        <div id="fax-section" className='mt-5'>
                            <MdOutlineLocationOn className='text-yellow-500 text-6xl mx-auto mb-3' />
                            <p>Address</p>
                            <a href='https://maps.app.goo.gl/EsYfvGCt5EgNMw9n6' className="text-medium sm:text-lg md:text-xl lg:text-2xl font-semibold hover:underline">1411 Lemay Dr <br/> Carrollton, TX 75007</a>
                        </div>

                    </div>

                </div>
                {/* FORM */}
            </main>
            <Footer />
        </>
    )
}

export default page